<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.3-alpha1</title>
</head>
<body onload="setBrowserTitle('HttpCore NIO 4.3-alpha1: org.apache.http.nio.integration.testHttpPostsWithContentLength');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:45:05 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestHttpsAsyncHandlers.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestHttpsAsyncHandlers_testHttpPostsWithContentLength_3a.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../org/apache/http/nio/integration/TestHttpAsyncHandlers.html?line=201#src-201" >testHttpPostsWithContentLength</a>
    </td>
        <td class="graphPercent alignTop">
        0%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        28 Nov 22:45:01
    </td>
    <td class="graphPercent alignTop">
        0.087    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testHttpPostsWithContentLength</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractContentDecoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractContentDecoder.html?id=118#AbstractContentDecoder"             title="AbstractContentDecoder" name="sl-45">org.apache.http.impl.nio.codecs.AbstractContentDecoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.DefaultThreadFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html?id=118#AbstractMultiworkerIOReactor.DefaultThreadFactory"             title="AbstractMultiworkerIOReactor.DefaultThreadFactory" name="sl-591">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.DefaultThreadFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.ChannelEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/ChannelEntry.html?id=118#ChannelEntry"             title="ChannelEntry" name="sl-43">org.apache.http.impl.nio.reactor.ChannelEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.HeapByteBufferAllocator</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/util/HeapByteBufferAllocator.html?id=118#HeapByteBufferAllocator"             title="HeapByteBufferAllocator" name="sl-41">org.apache.http.nio.util.HeapByteBufferAllocator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.BasicAsyncRequestHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestHandler.html?id=118#BasicAsyncRequestHandler"             title="BasicAsyncRequestHandler" name="sl-48">org.apache.http.nio.protocol.BasicAsyncRequestHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.Worker</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html?id=118#AbstractMultiworkerIOReactor.Worker"             title="AbstractMultiworkerIOReactor.Worker" name="sl-564">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.Worker</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.9</span>
            90%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="10% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90% Covered" class="barPositive contribBarPositive" style="width: 90%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractContentEncoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractContentEncoder.html?id=118#AbstractContentEncoder"             title="AbstractContentEncoder" name="sl-46">org.apache.http.impl.nio.codecs.AbstractContentEncoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.88235295</span>
            88.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="11.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="88.2% Covered" class="barPositive contribBarPositive" style="width: 88.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.SessionHttpContext</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/SessionHttpContext.html?id=118#SessionHttpContext"             title="SessionHttpContext" name="sl-33">org.apache.http.impl.nio.SessionHttpContext</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7777778</span>
            77.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="22.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="77.8% Covered" class="barPositive contribBarPositive" style="width: 77.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionRequestHandle</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionRequestHandle.html?id=118#SessionRequestHandle"             title="SessionRequestHandle" name="sl-42">org.apache.http.impl.nio.reactor.SessionRequestHandle</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7777778</span>
            77.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="22.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="77.8% Covered" class="barPositive contribBarPositive" style="width: 77.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.BasicAsyncRequestConsumer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestConsumer.html?id=118#BasicAsyncRequestConsumer"             title="BasicAsyncRequestConsumer" name="sl-52">org.apache.http.nio.protocol.BasicAsyncRequestConsumer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7777778</span>
            77.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="22.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="77.8% Covered" class="barPositive contribBarPositive" style="width: 77.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.BasicAsyncResponseConsumer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/BasicAsyncResponseConsumer.html?id=118#BasicAsyncResponseConsumer"             title="BasicAsyncResponseConsumer" name="sl-51">org.apache.http.nio.protocol.BasicAsyncResponseConsumer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7777778</span>
            77.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="22.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="77.8% Covered" class="barPositive contribBarPositive" style="width: 77.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.UriHttpAsyncRequestHandlerMapper</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/UriHttpAsyncRequestHandlerMapper.html?id=118#UriHttpAsyncRequestHandlerMapper"             title="UriHttpAsyncRequestHandlerMapper" name="sl-52">org.apache.http.nio.protocol.UriHttpAsyncRequestHandlerMapper</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.75</span>
            75%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="25% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="75% Covered" class="barPositive contribBarPositive" style="width: 75%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriter</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestWriter.html?id=118#DefaultHttpRequestWriter"             title="DefaultHttpRequestWriter" name="sl-48">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.71428573</span>
            71.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="28.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="71.4% Covered" class="barPositive contribBarPositive" style="width: 71.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriter</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseWriter.html?id=118#DefaultHttpResponseWriter"             title="DefaultHttpResponseWriter" name="sl-48">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.71428573</span>
            71.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="28.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="71.4% Covered" class="barPositive contribBarPositive" style="width: 71.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.entity.ContentBufferEntity</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/entity/ContentBufferEntity.html?id=118#ContentBufferEntity"             title="ContentBufferEntity" name="sl-44">org.apache.http.nio.entity.ContentBufferEntity</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6923077</span>
            69.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="30.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="69.2% Covered" class="barPositive contribBarPositive" style="width: 69.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncService.State</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/HttpAsyncService.html?id=118#HttpAsyncService.State"             title="HttpAsyncService.State" name="sl-608">org.apache.http.nio.protocol.HttpAsyncService.State</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.69014084</span>
            69%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="31% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="69% Covered" class="barPositive contribBarPositive" style="width: 69%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.pool.LeaseRequest</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/pool/LeaseRequest.html?id=118#LeaseRequest"             title="LeaseRequest" name="sl-34">org.apache.http.nio.pool.LeaseRequest</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6666667</span>
            66.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="33.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="66.7% Covered" class="barPositive contribBarPositive" style="width: 66.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultNHttpClientConnection</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html?id=118#DefaultNHttpClientConnection"             title="DefaultNHttpClientConnection" name="sl-75">org.apache.http.impl.nio.DefaultNHttpClientConnection</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6644737</span>
            66.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="33.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="66.4% Covered" class="barPositive contribBarPositive" style="width: 66.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.BasicAsyncResponseProducer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/BasicAsyncResponseProducer.html?id=118#BasicAsyncResponseProducer"             title="BasicAsyncResponseProducer" name="sl-54">org.apache.http.nio.protocol.BasicAsyncResponseProducer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.65789473</span>
            65.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="34.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="65.8% Covered" class="barPositive contribBarPositive" style="width: 65.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractMessageWriter</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractMessageWriter.html?id=118#AbstractMessageWriter"             title="AbstractMessageWriter" name="sl-53">org.apache.http.impl.nio.codecs.AbstractMessageWriter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.65384614</span>
            65.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="34.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="65.4% Covered" class="barPositive contribBarPositive" style="width: 65.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultNHttpServerConnection</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html?id=118#DefaultNHttpServerConnection"             title="DefaultNHttpServerConnection" name="sl-76">org.apache.http.impl.nio.DefaultNHttpServerConnection</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6474359</span>
            64.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="35.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="64.7% Covered" class="barPositive contribBarPositive" style="width: 64.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.reactor.ssl.SSLIOSession</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/reactor/ssl/SSLIOSession.html?id=118#SSLIOSession"             title="SSLIOSession" name="sl-71">org.apache.http.nio.reactor.ssl.SSLIOSession</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6317365</span>
            63.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.2% Covered" class="barPositive contribBarPositive" style="width: 63.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.AbstractAsyncRequestConsumer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/AbstractAsyncRequestConsumer.html?id=118#AbstractAsyncRequestConsumer"             title="AbstractAsyncRequestConsumer" name="sl-49">org.apache.http.nio.protocol.AbstractAsyncRequestConsumer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6086956</span>
            60.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="39.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="60.9% Covered" class="barPositive contribBarPositive" style="width: 60.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractMessageParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractMessageParser.html?id=118#AbstractMessageParser"             title="AbstractMessageParser" name="sl-59">org.apache.http.impl.nio.codecs.AbstractMessageParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.60169494</span>
            60.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="39.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="60.2% Covered" class="barPositive contribBarPositive" style="width: 60.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.entity.ContentInputStream</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/entity/ContentInputStream.html?id=118#ContentInputStream"             title="ContentInputStream" name="sl-44">org.apache.http.nio.entity.ContentInputStream</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5769231</span>
            57.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="42.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="57.7% Covered" class="barPositive contribBarPositive" style="width: 57.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.pool.BasicNIOPoolEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html?id=118#BasicNIOPoolEntry"             title="BasicNIOPoolEntry" name="sl-45">org.apache.http.impl.nio.pool.BasicNIOPoolEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5714286</span>
            57.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="42.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="57.1% Covered" class="barPositive contribBarPositive" style="width: 57.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncRequestExecutor.State</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html?id=118#HttpAsyncRequestExecutor.State"             title="HttpAsyncRequestExecutor.State" name="sl-392">org.apache.http.nio.protocol.HttpAsyncRequestExecutor.State</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.56363636</span>
            56.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="43.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="56.4% Covered" class="barPositive contribBarPositive" style="width: 56.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.AbstractAsyncResponseConsumer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/AbstractAsyncResponseConsumer.html?id=118#AbstractAsyncResponseConsumer"             title="AbstractAsyncResponseConsumer" name="sl-48">org.apache.http.nio.protocol.AbstractAsyncResponseConsumer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.54901963</span>
            54.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="45.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="54.9% Covered" class="barPositive contribBarPositive" style="width: 54.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.BasicAsyncRequestProducer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestProducer.html?id=118#BasicAsyncRequestProducer"             title="BasicAsyncRequestProducer" name="sl-54">org.apache.http.nio.protocol.BasicAsyncRequestProducer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.537037</span>
            53.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="46.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="53.7% Covered" class="barPositive contribBarPositive" style="width: 53.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.SimpleInputBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/util/SimpleInputBuffer.html?id=118#SimpleInputBuffer"             title="SimpleInputBuffer" name="sl-42">org.apache.http.nio.util.SimpleInputBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.530303</span>
            53%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="47% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="53% Covered" class="barPositive contribBarPositive" style="width: 53%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncRequestExecutor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html?id=118#HttpAsyncRequestExecutor"             title="HttpAsyncRequestExecutor" name="sl-79">org.apache.http.nio.protocol.HttpAsyncRequestExecutor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.52916664</span>
            52.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="47.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="52.9% Covered" class="barPositive contribBarPositive" style="width: 52.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncRequester.RequestExecutionCallback</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html?id=118#HttpAsyncRequester.RequestExecutionCallback"             title="HttpAsyncRequester.RequestExecutionCallback" name="sl-362">org.apache.http.nio.protocol.HttpAsyncRequester.RequestExecutionCallback</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5294118</span>
            52.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="47.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="52.9% Covered" class="barPositive contribBarPositive" style="width: 52.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractIODispatch</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html?id=118#AbstractIODispatch"             title="AbstractIODispatch" name="sl-45">org.apache.http.impl.nio.reactor.AbstractIODispatch</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5208333</span>
            52.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="47.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="52.1% Covered" class="barPositive contribBarPositive" style="width: 52.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.entity.NStringEntity</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/entity/NStringEntity.html?id=118#NStringEntity"             title="NStringEntity" name="sl-56">org.apache.http.nio.entity.NStringEntity</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5106383</span>
            51.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="48.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="51.1% Covered" class="barPositive contribBarPositive" style="width: 51.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.reactor.ssl.SSLIOSession.InternalByteChannel</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/reactor/ssl/SSLIOSession.html?id=118#SSLIOSession.InternalByteChannel"             title="SSLIOSession.InternalByteChannel" name="sl-601">org.apache.http.nio.reactor.ssl.SSLIOSession.InternalByteChannel</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5</span>
            50%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.DefaultConnectingIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html?id=118#DefaultConnectingIOReactor"             title="DefaultConnectingIOReactor" name="sl-60">org.apache.http.impl.nio.reactor.DefaultConnectingIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4857143</span>
            48.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="51.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="48.6% Covered" class="barPositive contribBarPositive" style="width: 48.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestParser.html?id=118#DefaultHttpRequestParser"             title="DefaultHttpRequestParser" name="sl-54">org.apache.http.impl.nio.codecs.DefaultHttpRequestParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.47058824</span>
            47.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="52.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="47.1% Covered" class="barPositive contribBarPositive" style="width: 47.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseParser.html?id=118#DefaultHttpResponseParser"             title="DefaultHttpResponseParser" name="sl-54">org.apache.http.impl.nio.codecs.DefaultHttpResponseParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.47058824</span>
            47.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="52.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="47.1% Covered" class="barPositive contribBarPositive" style="width: 47.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncService.Exchange</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/HttpAsyncService.html?id=118#HttpAsyncService.Exchange"             title="HttpAsyncService.Exchange" name="sl-737">org.apache.http.nio.protocol.HttpAsyncService.Exchange</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.45652175</span>
            45.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="54.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="45.7% Covered" class="barPositive contribBarPositive" style="width: 45.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncService</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/HttpAsyncService.html?id=118#HttpAsyncService"             title="HttpAsyncService" name="sl-98">org.apache.http.nio.protocol.HttpAsyncService</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.42559522</span>
            42.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="57.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="42.6% Covered" class="barPositive contribBarPositive" style="width: 42.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.pool.RouteSpecificPool</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/pool/RouteSpecificPool.html?id=118#RouteSpecificPool"             title="RouteSpecificPool" name="sl-44">org.apache.http.nio.pool.RouteSpecificPool</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.42372882</span>
            42.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="57.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="42.4% Covered" class="barPositive contribBarPositive" style="width: 42.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.BasicAsyncRequestExecutionHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html?id=118#BasicAsyncRequestExecutionHandler"             title="BasicAsyncRequestExecutionHandler" name="sl-57">org.apache.http.nio.protocol.BasicAsyncRequestExecutionHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.42</span>
            42%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="58% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="42% Covered" class="barPositive contribBarPositive" style="width: 42%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.ExpandableBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/util/ExpandableBuffer.html?id=118#ExpandableBuffer"             title="ExpandableBuffer" name="sl-47">org.apache.http.nio.util.ExpandableBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4027778</span>
            40.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="59.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40.3% Covered" class="barPositive contribBarPositive" style="width: 40.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncRequester</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html?id=118#HttpAsyncRequester"             title="HttpAsyncRequester" name="sl-61">org.apache.http.nio.protocol.HttpAsyncRequester</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.40350878</span>
            40.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="59.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40.4% Covered" class="barPositive contribBarPositive" style="width: 40.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.LengthDelimitedEncoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/LengthDelimitedEncoder.html?id=118#LengthDelimitedEncoder"             title="LengthDelimitedEncoder" name="sl-55">org.apache.http.impl.nio.codecs.LengthDelimitedEncoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4</span>
            40%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40% Covered" class="barPositive contribBarPositive" style="width: 40%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.NHttpConnectionBase</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html?id=118#NHttpConnectionBase"             title="NHttpConnectionBase" name="sl-97">org.apache.http.impl.nio.NHttpConnectionBase</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.38626608</span>
            38.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="61.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="38.6% Covered" class="barPositive contribBarPositive" style="width: 38.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultHttpServerIODispatch</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultHttpServerIODispatch.html?id=118#DefaultHttpServerIODispatch"             title="DefaultHttpServerIODispatch" name="sl-53">org.apache.http.impl.nio.DefaultHttpServerIODispatch</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.38235295</span>
            38.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="61.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="38.2% Covered" class="barPositive contribBarPositive" style="width: 38.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.pool.AbstractNIOConnPool</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/pool/AbstractNIOConnPool.html?id=118#AbstractNIOConnPool"             title="AbstractNIOConnPool" name="sl-67">org.apache.http.nio.pool.AbstractNIOConnPool</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.36740333</span>
            36.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="63.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="36.7% Covered" class="barPositive contribBarPositive" style="width: 36.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.DefaultListeningIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/DefaultListeningIOReactor.html?id=118#DefaultListeningIOReactor"             title="DefaultListeningIOReactor" name="sl-60">org.apache.http.impl.nio.reactor.DefaultListeningIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.35664335</span>
            35.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="64.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="35.7% Covered" class="barPositive contribBarPositive" style="width: 35.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractIOReactor.html?id=118#AbstractIOReactor"             title="AbstractIOReactor" name="sl-59">org.apache.http.impl.nio.reactor.AbstractIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3544776</span>
            35.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="64.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="35.4% Covered" class="barPositive contribBarPositive" style="width: 35.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.BaseIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/BaseIOReactor.html?id=118#BaseIOReactor"             title="BaseIOReactor" name="sl-55">org.apache.http.impl.nio.reactor.BaseIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3448276</span>
            34.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="65.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="34.5% Covered" class="barPositive contribBarPositive" style="width: 34.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultHttpClientIODispatch</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html?id=118#DefaultHttpClientIODispatch"             title="DefaultHttpClientIODispatch" name="sl-53">org.apache.http.impl.nio.DefaultHttpClientIODispatch</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.34285715</span>
            34.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="65.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="34.3% Covered" class="barPositive contribBarPositive" style="width: 34.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.ListenerEndpointImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/ListenerEndpointImpl.html?id=118#ListenerEndpointImpl"             title="ListenerEndpointImpl" name="sl-45">org.apache.http.impl.nio.reactor.ListenerEndpointImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3125</span>
            31.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="68.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="31.2% Covered" class="barPositive contribBarPositive" style="width: 31.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionInputBufferImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionInputBufferImpl.html?id=118#SessionInputBufferImpl"             title="SessionInputBufferImpl" name="sl-61">org.apache.http.impl.nio.reactor.SessionInputBufferImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3021978</span>
            30.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="69.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30.2% Covered" class="barPositive contribBarPositive" style="width: 30.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionRequestImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionRequestImpl.html?id=118#SessionRequestImpl"             title="SessionRequestImpl" name="sl-47">org.apache.http.impl.nio.reactor.SessionRequestImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.30075186</span>
            30.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="69.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30.1% Covered" class="barPositive contribBarPositive" style="width: 30.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.LengthDelimitedDecoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/LengthDelimitedDecoder.html?id=118#LengthDelimitedDecoder"             title="LengthDelimitedDecoder" name="sl-56">org.apache.http.impl.nio.codecs.LengthDelimitedDecoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.29245284</span>
            29.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="70.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="29.2% Covered" class="barPositive contribBarPositive" style="width: 29.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.IOSessionImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/IOSessionImpl.html?id=118#IOSessionImpl"             title="IOSessionImpl" name="sl-54">org.apache.http.impl.nio.reactor.IOSessionImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.28217822</span>
            28.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.2% Covered" class="barPositive contribBarPositive" style="width: 28.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionOutputBufferImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionOutputBufferImpl.html?id=118#SessionOutputBufferImpl"             title="SessionOutputBufferImpl" name="sl-61">org.apache.http.impl.nio.reactor.SessionOutputBufferImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.26875</span>
            26.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="73.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="26.9% Covered" class="barPositive contribBarPositive" style="width: 26.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.pool.BasicNIOConnPool</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/pool/BasicNIOConnPool.html?id=118#BasicNIOConnPool"             title="BasicNIOConnPool" name="sl-60">org.apache.http.impl.nio.pool.BasicNIOConnPool</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.26086956</span>
            26.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="73.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="26.1% Covered" class="barPositive contribBarPositive" style="width: 26.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.pool.AbstractNIOConnPool.InternalSessionRequestCallback</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/pool/AbstractNIOConnPool.html?id=118#AbstractNIOConnPool.InternalSessionRequestCallback"             title="AbstractNIOConnPool.InternalSessionRequestCallback" name="sl-555">org.apache.http.nio.pool.AbstractNIOConnPool.InternalSessionRequestCallback</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.25</span>
            25%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="75% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="25% Covered" class="barPositive contribBarPositive" style="width: 25%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html?id=118#AbstractMultiworkerIOReactor"             title="AbstractMultiworkerIOReactor" name="sl-98">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.23305085</span>
            23.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="76.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="23.3% Covered" class="barPositive contribBarPositive" style="width: 23.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriterFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestWriterFactory.html?id=118#DefaultHttpRequestWriterFactory"             title="DefaultHttpRequestWriterFactory" name="sl-44">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriterFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.22222222</span>
            22.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="77.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="22.2% Covered" class="barPositive contribBarPositive" style="width: 22.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriterFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseWriterFactory.html?id=118#DefaultHttpResponseWriterFactory"             title="DefaultHttpResponseWriterFactory" name="sl-44">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriterFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.22222222</span>
            22.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="77.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="22.2% Covered" class="barPositive contribBarPositive" style="width: 22.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.pool.BasicNIOConnFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/pool/BasicNIOConnFactory.html?id=118#BasicNIOConnFactory"             title="BasicNIOConnFactory" name="sl-59">org.apache.http.impl.nio.pool.BasicNIOConnFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.21875</span>
            21.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="78.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="21.9% Covered" class="barPositive contribBarPositive" style="width: 21.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestParserFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestParserFactory.html?id=118#DefaultHttpRequestParserFactory"             title="DefaultHttpRequestParserFactory" name="sl-47">org.apache.http.impl.nio.codecs.DefaultHttpRequestParserFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.16666667</span>
            16.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="83.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="16.7% Covered" class="barPositive contribBarPositive" style="width: 16.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseParserFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseParserFactory.html?id=118#DefaultHttpResponseParserFactory"             title="DefaultHttpResponseParserFactory" name="sl-47">org.apache.http.impl.nio.codecs.DefaultHttpResponseParserFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.16666667</span>
            16.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="83.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="16.7% Covered" class="barPositive contribBarPositive" style="width: 16.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.IOReactorConfig</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/IOReactorConfig.html?id=118#IOReactorConfig"             title="IOReactorConfig" name="sl-42">org.apache.http.impl.nio.reactor.IOReactorConfig</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.13333334</span>
            13.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="86.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="13.3% Covered" class="barPositive contribBarPositive" style="width: 13.3%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:45:34 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
